org.bouncycastle.asn1

## Class DERIA5String

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1IA5String
      - - org.bouncycastle.asn1.DERIA5String

- All Implemented Interfaces:
    ASN1Encodable, ASN1String, Encodable
  Direct Known Subclasses:
    NetscapeRevocationURL, VerisignCzagExtension

      public class DERIA5String
      extends ASN1IA5String

  DER IA5String object - this is a ISO 646 (ASCII) string encoding code points 0 to 127.

  Explicit character set escape sequences are not allowed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERIA5String(java.lang.String string)` Basic constructor - without validation.
    `DERIA5String(java.lang.String string, boolean validate)` Constructor with optional validation.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1IA5String

      `getInstance, getInstance, getOctets, getString, getTagged, hashCode, isIA5String, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DERIA5String

          public DERIA5String(java.lang.String string)

      Basic constructor - without validation.
      Parameters:
        `string` - the base string to use..

    - #### DERIA5String

          public DERIA5String(java.lang.String string,
                              boolean validate)

      Constructor with optional validation.
      Parameters:
        `string` - the base string to wrap.
        `validate` - whether or not to check the string.
      Throws:
        `java.lang.IllegalArgumentException` - if validate is true and the string contains characters that should not be in an IA5String.